/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package sample;

import jp.terasoluna.fw.dao.QueryDAO;
import jp.terasoluna.fw.dao.UpdateDAO;

/**
 * [XXXXX] [サンプル]ビジネスロジックの抽象クラス。Strutsの遷移先や DAO層の記述などが含まれます。
 */
public abstract class AbstractXxxxxBLogic implements XxxxxBLogic {
    /**
     * ビジネスロジックの結果文字列。StrutsのForwardで利用される。
     */
    private String fResultString = "success";

    /**
     * TERASOLUNA QueryDAO オブジェクト。
     */
    private QueryDAO fQueryDao;

    /**
     * TERASOLUNA UpdateDAOオブジェクト。
     */
    private UpdateDAO fUpdateDao;

    /**
     * ビジネスロジックの結果文字列を取得する。
     *
     * @return ビジネスロジックの結果文字列。StrutsのForwardで利用される。
     */
    public String getResultString() {
        return fResultString;
    }

    /**
     * ビジネスロジックの結果文字列を設定する。
     *
     * @param argResult ビジネスロジックの結果文字列。StrutsのForwardで利用される。
     */
    public void setResultString(final String argResult) {
        fResultString = argResult;
    }

    /**
     * TERASOLUNA QueryDAO オブジェクトを取得する。
     *
     * @return TERASOLUNA QueryDAO オブジェクト。
     */
    public QueryDAO getQueryDao() {
        return fQueryDao;
    }

    /**
     * TERASOLUNA QueryDAO オブジェクトを設定する。
     *
     * @param argDao TERASOLUNA QueryDAO オブジェクト
     */
    public void setQueryDao(final QueryDAO argDao) {
        fQueryDao = argDao;
    }

    /**
     * TERASOLUNA UpdateDAO オブジェクトを取得する。
     *
     * @return TERASOLUNA UpdateDAO オブジェクト。
     */
    public UpdateDAO getUpdateDao() {
        return fUpdateDao;
    }

    /**
     * TERASOLUNA UpdateDAO オブジェクトを設定する。
     *
     * @param argDao TERASOLUNA UpdateDAO オブジェクト
     */
    public void setUpdateDao(final UpdateDAO argDao) {
        fUpdateDao = argDao;
    }
}
